DESCRIPTION = "A utility to set system RTC to GPSD time"
SECTION = "console/network"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"
DEPENDS = "gpsd"
RDEPENDS = "libgps"

PR = "r4"

SRC_URI = "git://git.sysmocom.de/gpsdate.git;branch=master \
"
SRCREV = "58e3cdeb19be929c0d18c34734fc1c031698e7f9"
S = ${WORKDIR}/git

INITSCRIPT_NAME = "gpsdate"
INITSCRIPT_PARAMS = "defaults 35"

do_install() {
    install -d ${D}/${sbindir}
    install -m 0755 ${S}/gpsdate ${D}/${sbindir}/gpsdate
    install -d ${D}/${sysconfdir}/init.d
    install -m 0755 ${S}/gpsdate.init ${D}/${sysconfdir}/init.d/gpsdate
}
